<?php
/**
 * A general construction (land) class
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link 		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
class BaseConstruction extends BaseSimulator {
	// Tiefgang fuer z.B. Trockdocks
	private $draught = 0;

	// Konstruktor
	private function __construct ($class) {
		// Eltern-Konstrutor aufrufen
		parent::constructor($class);

		// Debug message
		if ((defined('DEBUG_CORE')) && (defined('DEBUG_CONSTRUCT'))) $this->getDebugInstance()->output(sprintf("[%s:] Konstruktor erreicht.<br />\n",
			$this->__toString()
		));

		// Set description
		$this->setPartDescr("Namenlose Landkonstruktion");

		// Clean up a little
		$this->removeNumberFormaters();
	}

	/**
	 * Calls the private constructor
	 *
	 * @param	$class	The class' name
	 * @return	void
	 */
	public function constructor ($class) {
		$this->__construct($class);
	}

	// Tiefgang entfernen
	public function removeDraught () {
		if (defined('DEBUG_CORE')) $this->getDebugInstance()->output(sprintf("[%s:] Tiefgang wird entfernt.<br />\n",
			$this->__toString()
		));
		unset($this->draught);
	}
}

// [EOF]
?>
