<?php
// Change directory
@chdir("../..");

// Load config file
require(dirname(dirname(__FILE__)) . "/inc/config.php");

// Load all include files
require(PATH . "inc/includes.php");

// Load all game classes
require(PATH . "inc/classes.php");

// Set default application
FrameworkConfiguration::getInstance()->setConfigEntry("default_application", "ship-simu");

// Set testing mode (no starter.php will be loaded!)
define('TEST_MODE', true);

// Wir tun hier so, als waere schon das Reederei-Objekt generiert und wir wollen
// jetzt die Personalliste wiederherstellen
try {
	$personell = SimulatorPersonell::createSimulatorPersonellByID("SimulatorPersonell@829292aeca3f6bf78c16e25fc4f75c98");
} catch (InvalidIDFormatException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (InvalidArrayCountException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (NullPointerException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (NoObjectException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (MissingMethodException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (FileIsEmptyException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (FilePointerNotOpenedException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (InvalidArrayCountException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (InvalidMD5ChecksumException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (InvalidDataLengthException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (InvalidSimulatorIDException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (MismatchingCompressorsException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (ContainerItemIsNullException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (ContainerItemIsNoArrayException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (ContainerMaybeDamagedException $e) {
	die(sprintf("[Main:] Die Personenliste konnte nicht erstellt werden. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
}

// Personal-Objekt debuggen
if (defined('DEBUG_PERSONELL_OBJ')) {
	DebugMiddleware::getInstance()->output(sprintf("Das Personal-Objekt sieht wie folgt aus:<br />
<pre>%s</pre>\n",
		print_r($personell, true)
	));
}

// Erstmal bis hier hin
exit();

// Etwas zum Testen...
try {
	$personell = SimulatorPersonell::createSimulatorPersonell(20);
} catch (NullPointerException $e) {
	die(sprintf("[Main:] Personenliste nicht angelegt. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (NoObjectException $e) {
	die(sprintf("[Main:] Personenliste nicht angelegt. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (MissingMethodException $e) {
	die(sprintf("[Main:] Personenliste nicht angelegt. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
}

// Personal-Objekt debuggen
if (defined('DEBUG_PERSONELL_OBJ')) {
	DebugMiddleware::getInstance()->output(sprintf("Das Personal-Objekt sieht wie folgt aus:<br />
<pre>%s</pre>\n",
		print_r($personell, true)
	));
}

// Try to save the object (for testing purposes)
try {
	$personell->saveObjectToDatabase();
} catch (NullPointerException $e) {
	die(sprintf("[Main:] Objekt nicht gespeichert. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (NoObjectException $e) {
	die(sprintf("[Main:] Objekt nicht gespeichert. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (InvalidObjectException $e) {
	die(sprintf("[Main:] Objekt nicht gespeichert. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (MissingMethodException $e) {
	die(sprintf("[Main:] Objekt nicht gespeichert. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (UnsupportedLimitationPartException $e) {
	die(sprintf("[Main:] Objekt nicht gespeichert. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (GetterNotFoundException $e) {
	die(sprintf("[Main:] Objekt nicht gespeichert. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (NoArrayCreatedException $e) {
	die(sprintf("[Main:] Objekt nicht gespeichert. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
} catch (InvalidArrayCountException $e) {
	die(sprintf("[Main:] Objekt nicht gespeichert. Grund: <strong>%s</strong><br />\n",
		$e->getMessage()
	));
}

//
?>
